Subject: Re: I can't inicializate PostgreSQL
From: Carlo Florendo y Flora <[email-masked]>
To: [email-masked]
Cc: Manuel Tejada <[email-masked]>
Date: Mon, 19 Jul 2004 13:14:26 +0800

Igor Pechtchanski wrote:

>On Mon, 19 Jul 2004, Carlo Florendo y Flora wrote:
>
>  
>
>>Manuel Tejada wrote:
>>
>>    
>>
>>>I am using PostgreSQL for Cygwin on Windows ME from
>>>April 2003
>>>[snip]
>>>
>>>After reading some answer to various post in the mailing list archive
>>>with similar problem and the
>>>/usr/share/doc/Cygwin/postgres-7.4.3.README file, I decided to follow
>>>the procedure using Cygserver instead ipc-daemon2:
>>>- Set the CYGWIN variable enviroment to "server"
>>>- Install and configure cygserver
>>>- Run cygserver
>>>- Initialize PostgreSQL
>>>
>>>But now the cygserver failled to run because the
>>>System says the command is no found, as you can see in
>>>the ouptput I show you bellow:
>>>-------------------------------
>>>
>>>admin@alejo ~
>>>$ CYGWIN=server
>>>
>>>admin@alejo ~
>>>$ export CYGWIN
>>>
>>>admin@alejo ~
>>>$ cygserver-config
>>>
>>>Generating /etc/cygserver.conf file
>>>chown: `system.544': invalid user
>>>      
>>>
>>Check whether  you have correct entries on your /etc/passwd and
>>/etc/group files.
>>`system.544' means `SYSTEM:root'.    The user `SYSTEM' should appear on
>>your /etc/passwd file.
>>The group `root' should be on your /etc/group file.  You should  notice
>>that the group `root' has a GID (Group ID) of 544.
>>If you get the above error message, there could be something wrong with
>>your /etc/passwd or /etc/group file.
>>Btw, my /etc/passwd and /etc/group files were automatically generated by
>>cygwin.
>>    
>>
>
>The point is moot since this is on WinME, and I don't think chown works on
>that system.  The fact that it's invoked is probably a bug in the script,
>and the above message is harmless (on Win9x/ME).
>  
>
Oops, thanks for pointing out!    I always tell myself to read carefully 
before making any assumptions.  I read that but it didn't stick.   Gee, 
it must be my sleepiness.... :)
Anyway, the indication that it's a bug in cygserver is most probable.  
I've checked the scripts and there is really a line which explicitly 
does a chown system.544.  Yes, it shouldn't matter on Win9x/ME
but the message is generates can be misleading--or terrifying for 
non-experts like me.

>>>Further configuration options are available by editing the
>>>configuration file /etc/cygserver.conf.  Please read the inline
>>>information in that file carefully. The best option for the start is to
>>>just leave it alone.
>>>
>>>Please keep in mind, that a client application which wants to use the
>>>services provided by cygserver *must* have the environment variable
>>>CYGWIN set so that it contains the word "server".  So, if you don't
>>>need any other special CYGWIN setting, just set it to "server".
>>>
>>>It is advisable to add this setting to the Windows system environment.
>>>
>>>Basic Cygserver configuration finished. Have fun!
>>>
>>>admin@alejo ~
>>>$ cygserver &
>>>[1]118735
>>>$bash: cygserver: command not found
>>>[1]+ Exit 127    cygserver
>>>      
>>>
>>cygserver is in /usr/sbin/.
>>    
>>
>
>Yep.  Granted, the cygserver.README should have stated this fact, and
>included the full path to use to invoke cygserver.
>
>FWIW, it's still on my backburner to get cygrunsrv working on Win9x/ME
>enough to make the setup similar to that of the WinNT-based systems
>(unless I upgrade my home machine to XP first :-}).
>
>  
>
>>My cygwin installation didn't add /usr/sbin/ in the PATH environment
>>variable.  I don't know whether this is the default behaviou or not.
>>    
>>
>
>It is.  This is by design.  See below.
>  
>
That was my suspicion.  :)

>  
>
>>However, you may want to invoke cygserver by specifying is fully
>>qualified path name:
>>
>>/us/sbin/cygserver
>>    
>>
>     ^r
>
>  
>
>>Else, you might want to ad /usr/sbin on your path variable although I
>>don't know whether this would post some issues. AFAICS, there's none.
>>However, there might be a reason why /usr/sbin/ was not included by
>>default.  I don't know since I'm not a cygwin expert but if you ask
>>someone on the mailing list, he could probably tell you why.
>>    
>>
>
>There is a reason, and the reason is that cygserver, like most of the
>other stuff in /usr/sbin, was intended to run as a service (or be invoked
>from a service).  On Unices, things in /sbin (for which /usr/sbin is the
>equivalent in Cygwin) are those that shouldn't be accidentally invoked
>from the command line, and should mostly be run as root.  Very few of the
>Unices I know add /sbin to a normal user's PATH (they do add them to
>root's PATH).  It is not a good idea to do this (though, perhaps, on
>Win9x/ME it doesn't matter).
>
>  
>
Nice!  Thanks for the info :)

>>>--------------------------------
>>>
>>>My questions are:
>>>
>>>a) In what I am failling myself?
>>>      
>>>
>
>In nothing.  The /usr/sbin thing looks like an omission in the docs.
>
>  
>
Who's maintating the docs?  I could probably help him out. 

>>>b) Anybody knows how to fix this?
>>>      
>>>
>
>Run /usr/sbin/cygserver, as Carlo said.
>
>  
>
>>>c)Supposing there is no way how to fix this. what must I do to
>>>reinstall the old PostgreSQL (7.4.1-3) that I still have the tar.gz
>>>archive in a directory created by the utility setup.exe.? I tried to
>>>reinstall the old one with the utility setup.exe but I can not see it
>>>in the windows' utility.
>>>      
>>>
>
>When you say "windows' utility", I assume you mean Cygwin's setup.exe.  If
>you start setup.exe, go to the package selection screen, and click on the
>postgresql package version a few times, you should see the previous
>version appear.  Switch to the "Partial" view (click on the "View" button)
>to make sure that that's the only think you'll install, and finish the
>installation.
>
>  
>
>>>Maybe I have to install it using ./configure, make, etc.?  Is possible
>>>do this?
>>>      
>>>
>
>It should be, but why?  Since you had it installed earlier, this way will
>just be unnecessary pain.
>
>  
>
>>I've written a tutorial on how to install PostgreSQL on cygwin.  It's
>>largely copied from the cygwin docs but I've added a few explanations.
>>You might find it helpful.  Check it out if you want:
>>http://home.ripway.com/2004-3/81387/postgresql-cygwin.html
>>    
>>
>
>Does that include the Win9x/ME case?
>  
>
Wow!  This is the nice thing with open source projects and mailing 
lists.   People point out what needs to be done and, poooff! - things 
improve very fast. 
Thanks for pointing out.  I'd update the docs now.  

You cygwin people are really great!  This really makes the cygwin lsit 
as my favorite mailing list.  It's also my favorite windows application.  :)

Best Regards,

Carlo
------
Carlo Florendo
Astra Philippines Inc.
www.astra.ph

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/